Skip to main content
Use this endpoint to update the details for an existing contact. Send only those parameters that you want to change in the request body.

Request

Curl

Response

Success

Parameters

idmandatory : string The unique identifier linked to the contact. For example, cont_00000000000001.

Parameters

nameoptional : string The contact’s name. This field is case-sensitive. Minimum 3 characters. Maximum 50 characters. Supported characters: a-z, A-Z, 0-9, space, , - , _ , / , ( , ) and , .. For example, Gaurav Kumar. emailoptional : string The contact’s email address. For example, gaurav.kumar@example.com. contactoptional : string The contact’s phone number. For example, 9000090000. typeoptional : string Maximum 40 characters. Classification for the contact being created. For example, employee. The following classifications are available by default:
  • vendor
  • customer
  • employee
  • self
Additional classifications can be created via the Dashboard and then used in APIs. It is not possible to create new classifications via API. reference_idoptional : string Maximum 40 characters. A user-generated reference given to the contact. For example, Acme Contact ID 12345. notesoptional : object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.

Parameters

id : string The unique identifier linked to the contact. For example, cont_00000000000001. entity : string The entity being created. Here, it is contact. name : string The contact’s name. For example, Gaurav Kumar. contact : string The contact’s phone number. For example, 9000090000. email : string The contact’s email address. For example, gaurav.kumar@example.com. type : string A classification for the contact being created. For example, employee. reference_id : string A user-entered reference for the contact. For example, Acme Contact ID 12345. batch_id : string This value is returned if the contact was created as part of a bulk upload. For example, batch_00000000000001. active : boolean Possible values:
  • true (default) : active
  • false : inactive
notes : object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”. created_at : integer Timestamp, in Unix, when the contact was created. For example, 1545320320.

Errors

The name field is required.
  • code: 4xx
  • description: The name field is missing in the request body.
  • solution: Enter the details in the recommended format as per the request body.
The name field is invalid.
  • code: 4xx
  • description: There are special characters used in the name field.
  • solution: Enter details as per the format recommended for Create a Contact request for name field.
Invalid type: contact_typeA
  • code: 4xx
  • description: - There are special characters in the type field.
  • Casing does not match as per the type. type is case-sensitive.
  • Contact type sent in the request does not match the types present in the Dashboard.
  • solution: Enter the correct contact type in the request body. You cannot create new contact types via API. You must create them via the RazorpayX Dashboard.